Groovy 1.7.10

## groovy.lang
[Java] Annotation Type GrabResolver

    java.lang.Object
      groovy.lang.GrabResolver

    @Retention(RetentionPolicy.SOURCE)
    @Target({
            ElementType.CONSTRUCTOR,
            ElementType.FIELD,
            ElementType.LOCAL_VARIABLE,
            ElementType.METHOD,
            ElementType.PARAMETER,
            ElementType.TYPE})
    public @interface GrabResolver

Used to add a repository for resolving Grape dependencies

For example:

     @GrabResolver(name='restlet.org', root='http://maven.restlet.org')
     @Grab(group='org.restlet', module='org.restlet', version='1.1.6')
     class MyRestlet extends org.restlet.Restlet {
       // ...
     }

Authors:
  Merlyn Albery-Speyer

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Copyright © 2003-2010 The Codehaus. All rights reserved.